RDMA_SERVER(1)

NAME
rdma_server - simple RDMA CM connection and ping-pong test.

SYNOPSIS

rdma_server [-p port]

DESCRIPTION
Uses synchronous librdmam calls to establish an RDMA connections between two nodes. This example is intended to provide a very simple coding example of how to use RDMA.

OPTIONS

-p port
    Changes the port number that the server listens on. By default the server listens on port 7471.

NOTES
Basic usage is to start rdma_server, then connect to the server using the rdma_client program.

Because this test maps RDMA resources to userspace, users must ensure that they have available system resources and permissions. See the libibverbs README file for additional details.

SEE ALSO
rdma_cm(7), udaddy(1), mckey(1), rping(1), rdma_client(1)